return {
    'saghen/blink.cmp',
    lazy = false,
    dependencies = {
        'rafamadriz/friendly-snippets',
        'mikavilpas/blink-ripgrep.nvim',
        { 'kristijanhusak/vim-dadbod-completion', ft = { 'sql', 'mysql', 'plsql' }, lazy = true },
        { 'saghen/blink.compat', version = '2.*', lazy = true, opts = {} },
    },

    version = '1.*',
    opts = {
        completion = {
            menu = {
                auto_show = true,

                winblend = vim.o.pumblend,

                draw = {
                    columns = {
                        { "label", "label_description", gap = 1 },
                        { "kind_icon", "kind", gap = 1 }
                    },
                }
            },

            documentation = { auto_show = true, auto_show_delay_ms = 500 },

            ghost_text = { enabled = false },
        },

        appearance = {
            use_nvim_cmp_as_default = true,
            nerd_font_variant = 'mono'
        },

        sources = {
            default = {
                'lsp',
                'path',
                'snippets',
                'buffer',
                'dadbod',
                'laravel',
            },

            providers = {
                dadbod = { name = "Dadbod", module = "vim_dadbod_completion.blink" },
                laravel = {
                    name = "laravel",
                    module = "blink.compat.source",
                },
            },
        },

        signature = {
            enabled = true,
            window = {
                winblend = vim.o.pumblend,
            },
        },
    },
    opts_extend = { "sources.default" }
}
